Bug 1312350 - Review Request: python-rjsmin - Javascript Minifier
Summary: Review Request: python-rjsmin - Javascript Minifier
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1296716
TreeView+ depends on / blocked
 
Reported: 2016-02-26 14:07 UTC by Matthias Runge
Modified: 2016-06-23 22:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-29 19:38:06 UTC
jujens: fedora-review+


Attachments (Terms of Use)

Description Matthias Runge 2016-02-26 14:07:27 UTC
Spec URL: http://matthias-runge.de/fedora/python-rjsmin.spec
SRPM URL: http://matthias-runge.de/fedora/python-rjsmin-1.0.12-1.fc23.src.rpm
Description: rJSmin is a javascript minifier written in python.                             
                                                                               
The minifier is based on the semantics                                         
of `jsmin.c by Douglas Crockford`_\.                                           
                                                                               
The module is a re-implementation aiming                                       
for speed, so it can be used at                                                
runtime (rather than during a preprocessing                                    
step). Usually it produces the                                                 
same results as the original ``jsmin.c``.
Fedora Account System Username: mrunge

Comment 1 Julien Enselme 2016-03-11 20:42:09 UTC
- The description seems to end abruptly. Maybe improve it a little and remove the rst tags.
- Please put the documentation in its own subpackage.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[X]: Package does not contain kernel modules.
[X]: Package contains no static executables.
[X]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "BSD (3 clause)", "MIT/X11 (BSD like)",
     "Unknown or generated", "*No copyright* Apache (v2.0)". 13 files have
     unknown license. Detailed output of licensecheck in /tmp/1312350
     -python-rjsmin/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: Package requires other packages for directories it uses.
[X]: Package must own all directories that it creates.
[X]: %build honors applicable compiler flags or justifies otherwise.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[X]: Package is not known to require an ExcludeArch tag.
[!]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 430080 bytes in 36 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-rjsmin , python3-rjsmin , python-rjsmin-debuginfo
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[X]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-rjsmin-1.0.12-1.fc25.x86_64.rpm
          python3-rjsmin-1.0.12-1.fc25.x86_64.rpm
          python-rjsmin-debuginfo-1.0.12-1.fc25.x86_64.rpm
          python-rjsmin-1.0.12-1.fc25.src.rpm
python2-rjsmin.x86_64: W: spelling-error Summary(en_US) Javascript -> JavaScript, Java script, Java-script
python2-rjsmin.x86_64: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
python2-rjsmin.x86_64: W: spelling-error %description -l en_US minifier -> magnifier
python2-rjsmin.x86_64: W: spelling-error %description -l en_US jsmin -> jasmine
python2-rjsmin.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
python2-rjsmin.x86_64: W: spelling-error %description -l en_US preprocessing -> reprocessing, p reprocessing, teleprocessing
python3-rjsmin.x86_64: W: spelling-error Summary(en_US) Javascript -> JavaScript, Java script, Java-script
python3-rjsmin.x86_64: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
python3-rjsmin.x86_64: W: spelling-error %description -l en_US minifier -> magnifier
python3-rjsmin.x86_64: W: spelling-error %description -l en_US jsmin -> jasmine
python3-rjsmin.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
python3-rjsmin.x86_64: W: spelling-error %description -l en_US preprocessing -> reprocessing, p reprocessing, teleprocessing
python-rjsmin.src: W: spelling-error Summary(en_US) Javascript -> JavaScript, Java script, Java-script
python-rjsmin.src: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
python-rjsmin.src: W: spelling-error %description -l en_US minifier -> magnifier
python-rjsmin.src: W: spelling-error %description -l en_US jsmin -> jasmine
python-rjsmin.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
python-rjsmin.src: W: spelling-error %description -l en_US preprocessing -> reprocessing, p reprocessing, teleprocessing
4 packages and 0 specfiles checked; 0 errors, 18 warnings.




Requires
--------
python3-rjsmin (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.5m.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)

python2-rjsmin (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)

python-rjsmin-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
python3-rjsmin:
    python3-rjsmin
    python3-rjsmin(x86-64)

python2-rjsmin:
    python-rjsmin
    python-rjsmin(x86-64)
    python2-rjsmin
    python2-rjsmin(x86-64)

python-rjsmin-debuginfo:
    python-rjsmin-debuginfo
    python-rjsmin-debuginfo(x86-64)



Unversioned so-files
--------------------
python2-rjsmin: /usr/lib64/python2.7/site-packages/_rjsmin.so
python3-rjsmin: /usr/lib64/python3.5/site-packages/_rjsmin.cpython-35m-x86_64-linux-gnu.so

Source checksums
----------------
https://pypi.python.org/packages/source/r/rjsmin/rjsmin-1.0.12.tar.gz :
  CHECKSUM(SHA256) this package     : dd9591aa73500b08b7db24367f8d32c6470021f39d5ab4e50c7c02e4401386f1
  CHECKSUM(SHA256) upstream package : dd9591aa73500b08b7db24367f8d32c6470021f39d5ab4e50c7c02e4401386f1


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1312350
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Matthias Runge 2016-03-15 07:54:51 UTC
Thank you for your review

I moved -docs to a separate subpackage and fixed the dscription.

SPEC: http://www.matthias-runge.de/fedora/python-rjsmin.spec
SRPM: http://www.matthias-runge.de/fedora/python-rjsmin-1.0.12-2.fc23.src.rpm

Comment 3 Julien Enselme 2016-03-15 10:17:49 UTC
Looks good. Approved!

Comment 4 Matthias Runge 2016-03-15 10:57:44 UTC
Thank you for the quick review!

Comment 5 Gwyn Ciesla 2016-03-15 13:00:48 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-rjsmin

Comment 6 Fedora Update System 2016-03-16 09:57:08 UTC
python-rjsmin-1.0.12-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ea5c5e2b4

Comment 7 Fedora Update System 2016-03-16 09:58:04 UTC
python-rjsmin-1.0.12-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1faa4ea804

Comment 8 Fedora Update System 2016-03-16 10:00:02 UTC
python-rjsmin-1.0.12-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-03a660fd7d

Comment 9 Fedora Update System 2016-03-18 14:59:36 UTC
python-rjsmin-1.0.12-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-03a660fd7d

Comment 10 Fedora Update System 2016-03-18 22:51:42 UTC
python-rjsmin-1.0.12-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ea5c5e2b4

Comment 11 Fedora Update System 2016-03-19 01:26:44 UTC
python-rjsmin-1.0.12-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1faa4ea804

Comment 12 Fedora Update System 2016-03-29 19:38:04 UTC
python-rjsmin-1.0.12-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-03-29 23:20:58 UTC
python-rjsmin-1.0.12-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-06-23 22:49:15 UTC
python-rjsmin-1.0.12-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.